## parprouted 0.63

=== Makefile ===
EXTRA_CFLAGS = 

CC = gcc

CFLAGS = -g -O2 -Wall $(EXTRA_CFLAGS)
LDFLAGS = -s 
OBJS = parprouted.o arp.o

LIBS = -lpthread

all: parprouted

install: all
	install parprouted /usr/local/sbin
	install parprouted.8 /usr/local/man/man8

clean:
	rm -f $(OBJS) parprouted core

parprouted:	${OBJS}
	${CC} -g -o parprouted ${OBJS} ${CFLAGS} ${LDFLAGS} ${LIBS}

parprouted.8:	parprouted.pod
	pod2man --section=8 --center="Proxy ARP Bridging Daemon" parprouted.pod --release "parprouted" --date "`date '+%B %Y'`" > parprouted.8

## parprouted 0.70

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,11 @@
 EXTRA_CFLAGS = 
 
-CC = gcc
+#CC = gcc
 
 CFLAGS = -g -O2 -Wall $(EXTRA_CFLAGS)
-LDFLAGS = -s 
+# For ARM:
+# CFLAGS =  -Wall $(EXTRA_CFLAGS)
+LDFLAGS = 
 OBJS = parprouted.o arp.o
 
 LIBS = -lpthread
@@ -22,3 +24,7 @@
 
 parprouted.8:	parprouted.pod
 	pod2man --section=8 --center="Proxy ARP Bridging Daemon" parprouted.pod --release "parprouted" --date "`date '+%B %Y'`" > parprouted.8
+
+parprouted.o : parprouted.c parprouted.h
+
+arp.o : arp.c parprouted.h

=== debian/changelog ===
parprouted (0.70-6) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC 15. (Closes: #1097548)

 -- Adrian Bunk <bunk@debian.org>  Tue, 23 Sep 2025 15:18:09 +0300

parprouted (0.70-5) experimental; urgency=medium

  * QA upload.
  * debian/control: Bump Standards-Version to "4.7.2".
  * debian/copyright: Update packaging copyright information.
  * debian/upstream/metadata: Add upstream metadata information.
  * debian/watch:
      - Bump version to 4.
      - Replace regex by @TAGS@.
      - Use https.

 -- Felipe Fontoura de Moraes <moraesf@alunos.utfpr.edu.br>  Sun, 22 Jun 2025 22:44:19 -0300

parprouted (0.70-4) unstable; urgency=medium

  * QA upload.

  [ Luciano Bello ]
  * Vcs-Browser and Vcs-Git
  * orphaning

  [ Boyuan Yang ]
  * debian/control: Apply "wrap-and-sort -abst".
  * Refresh packaging:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 27 Mar 2022 10:55:06 -0400

parprouted (0.70-3) unstable; urgency=medium

  * Standards-Version updated.
  * Always cast to 32 bits. (LP: #1668339)

 -- Luciano Bello <luciano@debian.org>  Mon, 24 Jul 2017 21:51:12 -0400

parprouted (0.70-2) unstable; urgency=high

  * Migrated to debhelper 9 (Closes: #817614)
  * Standards-Version updated.
  * debian/rules refactored.
  * Spelling mistake in the description.
  * DESTDIR-in-Makefile.patch: honors DESTDIR
  * LDFLAGS-in-Makefile.patch: honors LDFLAGS
  * Watch file added.

 -- Luciano Bello <luciano@debian.org>  Tue, 21 Jun 2016 23:07:27 +0200

parprouted (0.70-1) unstable; urgency=low

  * New upstream version (Closes:#470399)
  * Standards-Version updated.
  * The option nostrip is observed by removing -s (Closes:#437738)

 -- Luciano Bello <luciano@debian.org>  Wed, 16 Jul 2008 18:11:26 -0300

parprouted (0.63-2) unstable; urgency=low

  * New mainteiner (Closes:#387237).

 -- Luciano Bello <luciano@linux.org.ar>  Fri,  8 Dec 2006 17:36:58 -0300

parprouted (0.63-1) unstable; urgency=low

  * Initial release.

 -- David Moreno Garza <damog@debian.org>  Mon,  1 May 2006 20:45:46 -0500

=== debian/control ===
Source: parprouted
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Homepage: http://www.hazard.maks.net/parprouted/
Vcs-Browser: https://salsa.debian.org/debian/parprouted
Vcs-Git: https://salsa.debian.org/debian/parprouted.git

Package: parprouted
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: transparent IP (Layer 3) proxy ARP bridging tool
 This is useful for creation of transparent firewalls and bridging
 networks with different MAC protocols. Also, unlike standard
 bridging, proxy ARP bridging allows one to bridge Ethernet networks
 behind wireless nodes without using WDS or layer 2 bridging.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

# Reproducible-build
export LC_ALL = C.UTF-8

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(\d)$/\.$1\0/" \
   https://www.hazard.maks.net/parprouted @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
